Name:		sddm
Version:	0.19.0
Release:	%mkrel 2
License:	GPLv2+
Summary:	QML based X11 display manager
Group:		Graphical desktop/KDE5
Url:		https://github.com/sddm/sddm
Source0:	https://github.com/sddm/sddm/releases/download/v%{version}/%{name}-%{version}.tar.xz
Source1:	11sddm.conf
Source2:    Xsession
Source3:    Xsetup
Source4:    pam-sddm-autologin
Source5:    pam-sddm-greeter
Source6:    pam-sddm
Source7:    sddm.conf
Source8:    pclinuxos.tar.gz
Patch0:     sddm-0.12.0-mga-autofocus.patch
Patch1:		sddm-0.16-cmake-display-command.patch
Patch2:		sddm-0.19-pclos-consolekit-fix.patch
Patch3:     sddm-0.13.0-fix-reboot-poweroff-greeter-actions.patch
BuildRequires:  extra-cmake-modules
BuildRequires:	cmake
BuildRequires:	upower-devel
BuildRequires:	pam-devel
BuildRequires:	python-docutils
BuildRequires:	python3-docutils
BuildRequires:	libxcb-devel
BuildRequires:	pkgconfig
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Test)

Requires:	qtdeclarative5
Requires:	xinitrc
Requires:	pam
Requires:	x11-server-xorg
Requires:	consolekit-x11
Requires:	upower

%description
SDDM is a modern display manager for X11 aiming to be fast, simple and
beautiful. It uses modern technologies like QtQuick, which in turn gives the
designer the ability to create smooth, animated user interfaces.

%prep
%setup -q
%apply_patches

%build

%cmake_qt5 \
	-DUSE_QT5=ON \
	-DCMAKE_BUILD_TYPE:STRING="Release" \
	-DSESSION_COMMAND:PATH=/etc/X11/Xsession \
	-DBUILD_MAN_PAGES=ON \
	-DENABLE_JOURNALD=OFF \
	-DUID_MIN=500 \
	-DUID_MAX=60000

%make_build

%install
%make_install -C build

%__mkdir_p %{buildroot}%{_localstatedir}/lib/%{name}
%__mkdir_p %{buildroot}%{_localstatedir}/run/%{name}

install -Dm 644 %{SOURCE1} %{buildroot}/%{_datadir}/X11/dm.d/11sddm.conf
install -Dm 755 %{SOURCE2} %{buildroot}/%{_datadir}/sddm/scripts/Xsession
install -Dm 755 %{SOURCE3} %{buildroot}/%{_datadir}/sddm/scripts/Xsetup


install -Dm 644 %{SOURCE4} %{buildroot}/%{_sysconfdir}/pam.d/sddm-autologin
install -Dm 644 %{SOURCE5} %{buildroot}/%{_sysconfdir}/pam.d/sddm-greeter
install -Dm 644 %{SOURCE6} %{buildroot}/%{_sysconfdir}/pam.d/sddm

%__install -Dm 644 %{SOURCE7} %{buildroot}%{_sysconfdir}/sddm.conf

tar -xf %SOURCE8 -C %{buildroot}/%{_datadir}/sddm/themes

# fix mgangle.png icon permission
find %{buildroot}%{_datadir} -not -type d -a \( -type f -name '*.png' \) -perm /u=x,g=x,o=x -exec chmod -x '{}' \;

%pre
rm -f %{_sysconfdir}/pam.d/sddm
rm -f %{_sysconfdir}/pam.d/sddm-autologin
rm -f %{_sysconfdir}/pam.d/sddm-greeter
rm -f %{_sysconfdir}/sddm.conf

if [ "$1" = 1 ]; then
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /sbin/nologin
fi

%files
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.DisplayManager.conf
%{_sysconfdir}/pam.d/sddm
%{_sysconfdir}/pam.d/sddm-autologin
%{_sysconfdir}/pam.d/sddm-greeter
%{_sysconfdir}/sddm.conf
%{_bindir}/sddm
%{_bindir}/sddm-greeter
%{_libdir}/qt5/qml/SddmComponents
%{_libexecdir}/sddm-helper
%{_datadir}/sddm/faces
%{_datadir}/sddm/flags
%{_datadir}/sddm/scripts/Xsession
%{_datadir}/sddm/scripts/Xsetup
%{_datadir}/sddm/scripts/Xstop
%{_datadir}/sddm/scripts/wayland-session
%{_datadir}/sddm/themes
%{_datadir}/sddm/translations
%{_datadir}/X11/dm.d/11sddm.conf
%attr(0711, root, sddm) %dir %{_localstatedir}/run/sddm
%attr(1770, sddm, sddm) %dir %{_localstatedir}/lib/sddm
%{_mandir}

%changelog
* Thu Jan 21 2021 tex - 0.19.0-2pclos2021
- comment out XDG_CURRENT_DESKTOP in Xsession
- as it returns wrong information and breaks xfce4 menu
- add new background to pclinuxos theme
- set default cursor theme

* Mon Jan 18 2021 TerryN <terryn94 at gmail.com> 0.19.0-1pclos2021
- new version

* Sun Jan 17 2021 TerryN <terryn94 at gmail.com> 0.14.0-7pclos2021
- fix missing utmp/wtmp/btmp entries

